Module
Contents
Index 🔎︎

# WEBSERVICE

Obté contingut web a partir d'un URI.

### Syntax

SERVEIWEB(URI)

URI: URI (text) del servei web.

### Example

=WEBSERVICE("wiki.documentfoundation.org/api.php?hidebots=1&days=7&limit=50&action=feedrecentchanges&feedformat=rss")

Returns the web page content of "https://wiki.documentfoundation.org/api.php?hidebots=1&days=7&limit=50&action=feedrecentchanges&feedformat=rss".

# FILTERXML

Aplica una expressió XPath en un document XML.

### Syntax

FILTREXML(DocumentXML; ExpressióXPath)

DocumentXML: (necessari) una cadena de text que conté un flux XML vàlid.

ExpressióXPath: (necessari) una cadena de text que conté una expressió XPath vàlida.

### Example

=FILTERXML(WEBSERVICE("wiki.documentfoundation.org/api.php?hidebots=1&days=7&limit=50&action=feedrecentchanges&feedformat=rss");"//lastBuildDate")

Returns information on the last build date of the wiki.

# ENCODEURL

Returns a URL-encoded string.

Use this function to transform text with symbols of national alphabets (for example accented characters, non-ASCII alphabets or Asian words) to a string of URL-standard symbols.

### Syntax

ENCODEURL(Text)

Text: String to encode to a sequence of URL-standard symbols.

### Example

If cell A1 contains the Cyrillic text "автомобиль", =ENCODEURL(A1) returns %D0%B0%D0%B2%D1%82%D0%BE%D0%BC%D0%BE%D0%B1%D0%B8%D0%BB%D1%8C (the word "автомобиль" means car in Russian).

If cell B1 contains the text "車", =ENCODEURL(B1) returns %E8%BB%8A ("車" means car in Japanese).